%define Summary ChBg - Desktop background manager/changer/screensaver
Summary:	%Summary
Name:		chbg
Version:	2.0.1
Release:	%mkrel 5
Source0:	http://www.beebgames.com/sw/%{name}-%{version}.tar.bz2
Source1:	%{name}_16x16.png
Source2:	%{name}_32x32.png
Source3:	%{name}_48x48.png
# (fc) 2.0.1-3mdv use correct depth with composite
Patch0: 	chbg-2.0.1-composite.patch.bz2
URL:		http://www.beebgames.com/sw/gtk-ports.html
License:	GPL
Group:		Graphics
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	gettext-devel
BuildRequires:	gtk+2-devel

%description
ChBg is for changing desktop backgrounds in a given period. It can
render images with 10 modes (such as tiled, centered, scaled, etc.). It
uses gdk_pixbuf-2.0 for loading images, so it supports
many image formats. 
ChBg has a windowed setup program, is able to load setup files, 
can be used as slideshow picture previewer in its own window or as a
desktop background, and can be used as screensaver or as an xscreensaver
hack. It has a dialog for fast previewing of pictures and very usable
thumbnail previews.

%prep
%setup -q
%patch0 -p1 -b .composite

%build
%configure2_5x --with-intl-includes=%{_datadir}/gettext/intl \
    --x-libraries="-lz"

%make

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall_std

# install icons
mkdir -p %buildroot{%{_miconsdir},%{_iconsdir},%{_liconsdir}}
install -m 644 %{SOURCE1} %buildroot%{_miconsdir}/%{name}.png
install -m 644 %{SOURCE2} %buildroot%{_iconsdir}/%{name}.png
install -m 644 %{SOURCE3} %buildroot%{_liconsdir}/%{name}.png

# menu stuff
mkdir -p %buildroot%{_menudir}
cat << EOF > %buildroot%{_menudir}/%{name}
?package(%{name}):\
    command="%{_bindir}/%{name}" \
    needs="x11" \
    icon="%{name}.png" \
    section="System/Configuration/Other" \
    title="ChBg" \
    longtitle="%{Summary}" xdg="true"
EOF
mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
cat > $RPM_BUILD_ROOT%{_datadir}/applications/mandriva-%{name}.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Name=ChBg
Comment=%Summary
Exec=%{name}
Icon=%name
Terminal=false
Type=Application
StartupNotify=true
Categories=X-MandrivaLinux-System-Configuration-Other;Settings;
EOF


# touch the default sysconfig file so that it can be included
mkdir -p %buildroot%{_sysconfdir}
touch %buildroot%{_sysconfdir}/chbgrc

%{find_lang} %{name}

%post
%{update_menus}

%postun
%{clean_menus}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS BUGS ChangeLog README THANKS TODO chbgrc.sample xscreensaver*txt 
%{_bindir}/chbg
%_datadir/applications/mandriva*
%{_menudir}/%{name}
%{_iconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_mandir}/man*/*
%attr(644,root,root) %config(noreplace,missingok) %{_sysconfdir}/chbgrc

%changelog
* Fri Sep 01 2006 Nicolas Lcureuil <neoclust@mandriva.org> 2.0.1-5mdv2007.0
- Fix xdg menu

* Wed Aug  2 2006 Gtz Waschk <waschk@mandriva.org> 2.0.1-4mdv2007.0
- xdg menu

* Wed Jun 07 2006 Frederic Crozat <fcrozat@mandriva.com> 2.0.1-3mdv2007.0
- Patch0: use correct depth with composite

* Fri May 12 2006 Stefan van der Eijk <stefan@eijk.nu> 2.0.1-2mdk
- rebuild for sparc

* Fri Mar 10 2006 Gtz Waschk <waschk@mandriva.org> 2.0.1-1mdk
- new URL
- drop extra translation files
- update file list
- drop patches
- new version

* Thu Mar  9 2006 Gtz Waschk <waschk@mandriva.org> 2.0-2mdk
- fix rpmlint warnings about patches
- fix buildrequires

* Wed Mar 08 2006 Frederic Crozat <fcrozat@mandriva.com> 2.0-1mdk
- Release 2.0 (Cris Boylan), based on Mark Sherry's gtk2 port
- Patch4: fix i18n in non UTF8 locale
- Disable patch1 (not needed)

* Mon Aug 29 2005 Frederic Crozat <fcrozat@mandriva.com> 1.5-11mdk 
- Patch3: fix dithering

* Wed Mar 09 2005 Nicolas Lcureuil <neoclust@mandrake.org> 1.5-10mdk
- security fix for CAN-2004-1264

* Mon Nov 15 2004 Lenny Cartier <lenny@mandrakesoft.com> 1.5-9mdk
- rebuild

* Wed Sep 03 2003 David Baudens <baudens@mandrakesoft.com> 1.5-8mdk
- Move in Configuration/Other

* Wed Jul 16 2003 Per yvind Karlsen <peroyvind@sintrax.net> 1.5-7mdk
- don't rm -rf $RPM_BUILD_ROOT in %%prep
- cosmetics
- be sure to link against libpng (P1)

* Fri Feb 14 2003 Lenny Cartier <lenny@mandrakesoft.com> 1.5-6mdk
- rebuild

* Mon Jan 14 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.5-5mdk
- convert xpms to pngs

* Thu Jan 10 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.5-4mdk
- Patch0: fix embedding mode for GNOME control center

* Tue Jan  8 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.5-3mdk
- Fix wrong dependencies

* Fri Oct 12 2001  Lenny Cartier <lenny@mandrakesoft.com> 1.5-2mdk
- rebuild against libpng3

* Sun Aug 26 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.5-1mdk
- updated to 1.5

* Thu Jun 28 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.3-2mdk
- rebuild

* Wed Feb 28 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.3-1mdk
- upgraded by Alexander Skwar <ASkwar@Linux-Mandrake.com> :
	- New release
	- Uses gdk-pixbuf explicitely (or however that's spelled *G*)
	- Slimmed down Requires: line to only require what THIS package directly 
  	requires

* Mon Jan 08 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.2-2mdk 
- rebuild

* Wed Nov 22 2000 Lenny Cartier <lenny@mandrakesoft.com> 1.2-1mdk
- updated to 1.2

* Thu Oct 12 2000 Lenny Cartier <lenny@mandrakesoft.com> 1.1-1mdk
- used srpm from  Alexander Skwar <ASkwar@linux-mandrake.com> :
	First Mandrake version
